@tailwind base;
@tailwind components;
@tailwind utilities;

body {
  @apply bg-gray-100;
}

.menu {
  @apply flex-1;
  max-width: 300px;
}

.menu-item {
  @apply p-4;
  @apply block;
  @apply rounded;
  @apply text-black;
  @apply text-opacity-50;

  &:hover {
    @apply bg-gray-200;
    @apply text-opacity-100;
  }
}

.menu-item--selected {
  @apply menu-item;
  @apply text-opacity-100;
  @apply bg-gray-300;
}

h1 {
  @apply text-3xl;
  @apply mb-4;
}
